package com.playlet.web.service.app;

import com.playlet.system.domain.PlayletUserTask;

import java.util.List;

/**
 * @Date: 2024-03-22 12:13
 * @Author: 但星霖
 * @Version: v1.0
 * @Description: 任务用户app Service接口
 */
public interface PlayletUserTaskAppService {

    /**
     * 根据用户id进行查询用户任务分发的奖金
     *
     * @param taskId 用户id
     * @return PlayletUserTask 任务用户集合
     */
    List<PlayletUserTask> searchByTaskIdList(Long taskId);

    /**
     * 查询短剧用户任务
     *
     * @param id 短剧用户任务主键
     * @return 短剧用户任务
     */
    PlayletUserTask selectPlayletUserTaskById(Long id);

    /**
     * 查询短剧用户任务列表
     *
     * @param playletUserTask 短剧用户任务
     * @return 短剧用户任务集合
     */
    List<PlayletUserTask> selectPlayletUserTaskList(PlayletUserTask playletUserTask);

    /**
     * 新增短剧用户任务
     *
     * @param playletUserTask 短剧用户任务
     * @return 结果
     */
    int insertPlayletUserTask(PlayletUserTask playletUserTask);

    /**
     * 修改短剧用户任务
     *
     * @param playletUserTask 短剧用户任务
     * @return 结果
     */
    int updatePlayletUserTask(PlayletUserTask playletUserTask);

    /**
     * 批量删除短剧用户任务
     *
     * @param ids 需要删除的短剧用户任务主键集合
     * @return 结果
     */
    int deletePlayletUserTaskByIds(String ids);

    /**
     * 删除短剧用户任务信息
     *
     * @param id 短剧用户任务主键
     * @return 结果
     */
    int deletePlayletUserTaskById(Long id);
}
